PRO tst_pltz, IMAGE = image
; commons
;
  compile_opt idl2, strictarrsubs
;
@cm_4mesh
;
  IF jpk EQ 1 THEN return
;
  dummy = ''
  cnt = 1
;
  CASE jpi*key_stride[0]+jpj*key_stride[1] OF
    180+148:file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA2.nc'
    360+180:file = 'Levitus98_1m_01_12_Temperature_Pot_1x1.nc'
    720+510:file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc'
  ENDCASE
  file = isafile(file, title = 'Where is '+file+' ?', /lookalldir)
  IF size(file, /type) NE 7 THEN return
;
  IF key_onearth THEN domdef, 20, 380, -1, 1, 0, max(gdept) $
  ELSE domdef, min(glamt), max(glamf), jpj/2-1, jpj/2+1, 0, max(gdept)
;
  temp = read_ncdf('votemper', 00101, 00131, file = file)
  IF key_forgetold THEN help, temp.arr ELSE help, temp.tab
; 
  pltz, temp, /portrait
  if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
  ELSE read, dummy,  prompt = 'press return for the next plot'
  cnt = cnt + 1
;
  pltz, temp, /portrait, /nocontour
  if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
  ELSE read, dummy,  prompt = 'press return for the next plot'
  cnt = cnt + 1
;
  pltz, temp, /portrait, /color_c
  if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
  ELSE read, dummy,  prompt = 'press return for the next plot'
  cnt = cnt + 1
;
  pltz, temp, /portrait, /nofill
  if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
  ELSE read, dummy,  prompt = 'press return for the next plot'
  cnt = cnt + 1
;
  pltz, temp, boxzoom = [6000]
  if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
  ELSE read, dummy,  prompt = 'press return for the next plot'
  cnt = cnt + 1
                                ;
  pltz, temp, boxzoom = [6000], zoom = 1000
  if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
  ELSE read, dummy,  prompt = 'press return for the next plot'
  cnt = cnt + 1
;
  pltz, temp, boxzoom = [6000], zoom = 1000, yxaspect = 2
  if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
  ELSE read, dummy,  prompt = 'press return for the next plot'
  cnt = cnt + 1
;
  pltz, temp, boxzoom = [6000], zoom = 1000, yxaspect = 2, zratio = .5
  if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
  ELSE read, dummy,  prompt = 'press return for the next plot'
  cnt = cnt + 1
;
; yt plot along the column that contain the largest latitude
;
  IF key_onearth THEN BEGIN 
    ind = where(gphit EQ max(gphit))
    ind = ind[0] MOD jpi
    domdef, ind, ind, -90, 90, 0, max(gdept), gridtype = 'T', /xindex
  ENDIF ELSE BEGIN 
    domdef, jpi/2, jpi/2, min(gphit), max(gphif), 0, max(gdept), gridtype = 'T', /xindex
  ENDELSE 

  temp = read_ncdf('votemper', 00101, 01231, file = file)
  pltz, temp, boxzoom = [6000], zoom = 1000, yxaspect = 2, zratio = .5
  if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
  ELSE read, dummy,  prompt = 'press return for the next plot'
  cnt = cnt + 1
;
; oblique sections...
;
  IF key_onearth THEN endpoints = [110, -45, 290, 45] $
  ELSE endpoints = [jpi/6, jpj/3, 5*jpi/6, 2*jpj/3]
  domdef, endpoints = endpoints, type = 'pltz'
  temp = read_ncdf('votemper', 00101, 00131, file = file)
  pltz, temp, endpoints = endpoints
  if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
  ELSE read, dummy,  prompt = 'press return for the next plot'
  cnt = cnt + 1
;
; false oblique sections...
;
  IF key_onearth THEN endpoints = [180, -70, 180, 90] $
  ELSE endpoints = [jpi/2+0.25, +0.25, jpi/2+0.25,  jpj]
  domdef, 6000, endpoints = endpoints, type = 'pltz'
  temp = read_ncdf('votemper', 00101, 00131, file = file)
  pltz, temp, endpoints = endpoints, boxzoom = [6000] $
        , zoom = 1000, yxaspect = 2, zratio = .5 ; , /showbuild
  if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png $
  ELSE read, dummy,  prompt = 'press return for the next plot'
  cnt = cnt + 1
;
; comparison between real section and false oblique sections
;
  IF (where(gphit EQ 0))[0] NE -1 THEN BEGIN 
    IF key_onearth THEN box = [20, 380, 0, 0, 0, 6000] $
    ELSE box = [0, jpi-1, jpj/2, jpj/2, 0, 6000]
    domdef, box, gridtype = 'T'
    temp = read_ncdf('votemper', 00101, 00131, file = file)
    pltz, temp, boxzoom = [6000], /portrait, small = [1, 2, 1] $
          , zoom = 500, zratio = .5
    
    IF key_onearth THEN endpoints = [20, 0, 380, 0] $
    ELSE endpoints = [0, jpj/2, jpi-1, jpj/2]
    domdef, 6000, endpoints = endpoints, type = 'pltz', gridtype = 'T'
    temp = read_ncdf('votemper', 00101, 00131, file = file)
    pltz, temp, endpoints = endpoints, boxzoom = [6000] $
          , zoom = 500, zratio = .5 $
          , small = [1, 2, 2], /noerase
    
    if keyword_set(image) then saveimage, 'tst_pltz_'+image+'_'+string(cnt, format = '(i2.2)')+'.png', /png
    cnt = cnt + 1
  ENDIF 
  
  return
end
